Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: kan geen spellen openen  (gelezen 1801 keer)

Offline dakje

  • Lid
  • Steunpunt: Nee
kan geen spellen openen
« Gepost op: 2013/09/09, 18:51:43 »
Hallo,

vandaag had ik vreselijk veel zin om te experimenteren met game's in linux; mijnenveger werd al snel saai.

Na wat zoeken kwam ik uit bij het spel nexuiz, geïnstalleerd via het softwarecentrum. Dit spel wil echter niet opstarten, er gebeurt gewoon niks als je op het icoon klikt. Daarom maar eens met de terminal geprobeerd; dan krijg ik volgende boodschap:

adriaan@Adriaanpc:~$ nexuiz
Game is Nexuiz using base gamedir data
Nexuiz Linux 06:07:58 Feb 13 2012 0~20110628+svn11619-2 Ubuntu
Current nice level is below the soft limit - cannot use niceness
Skeletal animation uses SSE code path
DPSOFTRAST available (SSE2 instructions detected)
Failed to init SDL joystick subsystem:
execing quake.rc
execing default.cfg
execing defaultNexuiz.cfg
execing physics26.cfg
execing ctfscoring-div0.cfg
execing balance.cfg
r_glsl is read-only
execing effects-normal.cfg
execing turrets.cfg
execing unit_machinegun.cfg
execing unit_hk.cfg
execing unit_hellion.cfg
execing unit_mlrs.cfg
execing unit_flac.cfg
execing unit_fusreac.cfg
execing unit_plasma.cfg
execing unit_plasma2.cfg
execing unit_tesla.cfg
execing unit_phaser.cfg
execing unit_walker.cfg
execing unit_ewheel.cfg
couldn't exec unit_repulsor.cfg
couldn't exec config.cfg
couldn't exec data/campaign.cfg
execing config_update.cfg
couldn't exec autoexec.cfg
Client using an automatically assigned port
Client opened a socket on address 0.0.0.0:0
Linked against SDL version 1.2.14
Using SDL library version 1.2.14
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  13
  Current serial number in output stream:  13
adriaan@Adriaanpc:~$


en bij het openen van openarena:
adriaan@Adriaanpc:~$ openarena
ioq3 1.36+svn2202-1/Ubuntu linux-x86_64 Dec 12 2011
Have SSE support
----- FS_Startup -----
Current search path:
/home/adriaan/.openarena/baseoa
/usr/lib/games/openarena/baseoa
/usr/lib/games/openarena/baseoa/pak6-patch085.pk3 (559 files)
/usr/lib/games/openarena/baseoa/pak6-misc.pk3 (229 files)
/usr/lib/games/openarena/baseoa/pak5-TA.pk3 (139 files)
/usr/lib/games/openarena/baseoa/pak4-textures.pk3 (1753 files)
/usr/lib/games/openarena/baseoa/pak2-players.pk3 (669 files)
/usr/lib/games/openarena/baseoa/pak2-players-mature.pk3 (231 files)
/usr/lib/games/openarena/baseoa/pak1-maps.pk3 (100 files)
/usr/lib/games/openarena/baseoa/pak0.pk3 (1042 files)

----------------------
4722 files in pk3 files
execing default.cfg
couldn't exec q3config.cfg
couldn't exec autoexec.cfg
Hunk_Clear: reset the hunk ok
----- Client Initialization -----
Couldn't read q3history.
----- Initializing Renderer ----
Trying to load "renderer_opengl1_x86_64.so" from "/usr/lib/ioquake3"...
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----
SDL using driver "x11"
Initializing OpenGL display
Estimated display aspect: 1.779
...setting mode 3: 640 480
X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  13
  Current serial number in output stream:  13
adriaan@Adriaanpc:~$

Is er iemand die weet wat het probleemis/de problemen zijn, en hoe ik dit kan oplossen?

alvast bedankt,

adriaan
« Laatst bewerkt op: 2013/09/09, 19:16:15 door dakje »

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #1 Gepost op: 2013/09/09, 19:28:12 »
Je hebt een ATI grafische kaart naar ik aanneem? (welke).
Er is een probleem met je driver.
Open een terminal en tik in:

glxinfo | grep -i yesIn de output zou je moeten zien staan: "Direct Rendering" met daarnaast hoogstwaarschijnlijk een NO
Krijg je niets als reactie tik dan enkel de glxinfo in de terminal.
Post eventueel de output hier even.

Staat het pakket xserver-xorg-video-ati geïnstalleerd? (zoeken in SoftwareCenter met de zoekfunktie rechtsboven)

Ik heb een ATI en Heb Nexuiz hier ook even geïnstalleerd en bij mij werkt het. Maar hier is wel dat pakket geïnstalleerd.
Dus heb je een ATI en is het pakket niet geînstalleerd dan installeer je het en voer je daarna het bovenstaande commando weer uit. Dan met je naast 'Direct Rendering" een Yes krijgen.

Ter info:
hier 2 linkjes waar ik de informatie vond betreffende je X error:
https://coderwall.com/p/hkm3oa
http://askubuntu.com/questions/175744/x-error-of-failed-request-badrequest-invalid-request-code-or-no-such-operation

Offline dakje

  • Lid
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #2 Gepost op: 2013/09/09, 20:27:58 »
"lspci" geeft mij de grafische kaart:
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Thames XT/GL [Radeon HD 7600M Series]
over het pakket xserver-xorg-video-ati:
in de terminal gaf ik in:
sudo apt-get install xserver-xorg-video-atien kreeg ik als output:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen dat u
een onmogelijke situatie gevraagd hebt of dat u de 'unstable'-distributie
gebruikt en sommige benodigde pakketten nog vastzitten in 'incoming'.
De volgende informatie helpt u mogelijk verder:

De volgende pakketten hebben niet-voldane vereisten:
 xserver-xorg-video-ati : Vereisten: xorg-video-abi-11
                          Vereisten: xserver-xorg-core (>= 2:1.10.99.901)
E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.
adriaan@Adriaanpc:~$

wat nu?




Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #3 Gepost op: 2013/09/09, 20:32:14 »
Sorry, ben een beetje snel geweest met te veel info in één keer.

Ten eerste, heb je reeds een driver geïnstalleerd/ingeschakeld via Extra Stuurprogramma's?
Dat kan je zien via de Dash en dan kiezen voor Software en Updates laatste tabblad.
Kijk dat eerst eens na.

En wat geeft dat glxinfo commando?

Offline dakje

  • Lid
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #4 Gepost op: 2013/09/09, 21:19:51 »
ik had de driver nog niet. Nu werkt het spel dus wel!

Hartelijk bedankt!

één vraagje: hoe komt het dat ik dit nooit gemerkt heb bij gewoon gebruik van ubuntu: tekst, internet, mail etc. ?

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #5 Gepost op: 2013/09/09, 22:20:08 »
Omdat de meeste zaken ook werken zonder die driver. Die drivers zijn voor "het zwaardere werk" zal ik maar zeggen. Zo technisch ben ik niet aangelegd en veel weet ik niet omtrent al die extra zaken en drivers om daar een uitgebreide en verstaanbare uitleg aan te geven. Maar (Zware)Games en 3D hebben dus meer nodig dan gewoon een simpel grafisch kaartje en heb je dan een "zwaardere" kaart dan geeft zo'n driver extra's aan je kaart. Indien die niet ingeschakeld/geïnstalleerd staat werkt de kaart toch, maar met "basis" instellingen die werken voor elk scherm/computer (Met mijn beperkte kennis daarover is dit de enige mogelijke uitleg die ik kan geven hoe ik denk dat het in elkaar zit en hopelijk is die juist en benaderd die een beetje de waarheid)  :o  =D

Misschien dat iemand met héél véél méér kennis hierover een veel betere uitleg kan geven.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: kan geen spellen openen
« Reactie #6 Gepost op: 2013/09/09, 22:41:03 »
Omdat de meeste zaken ook werken zonder die driver. Die drivers zijn voor "het zwaardere werk" zal ik maar zeggen. Zo technisch ben ik niet aangelegd en veel weet ik niet omtrent al die extra zaken en drivers om daar een uitgebreide en verstaanbare uitleg aan te geven. Maar (Zware)Games en 3D hebben dus meer nodig dan gewoon een simpel grafisch kaartje en heb je dan een "zwaardere" kaart dan geeft zo'n driver extra's aan je kaart. Indien die niet ingeschakeld/geïnstalleerd staat werkt de kaart toch, maar met "basis" instellingen die werken voor elk scherm/computer (Met mijn beperkte kennis daarover is dit de enige mogelijke uitleg die ik kan geven hoe ik denk dat het in elkaar zit en hopelijk is die juist en benaderd die een beetje de waarheid)  :o  =D

Misschien dat iemand met héél véél méér kennis hierover een veel betere uitleg kan geven.

Je zit aardig goed :) Verder geeft de gesloten driver vaak ook nog extra functies zoals bijv. (in sommige gevallen) betere multi-monitor-ondersteuning, Xinerama en kleurinstellingen voor 3D-applicaties enzo. Kun je allemaal vinden in hun instellingenpanelen; in nVidia's geval "nVidia X Server Settings" en in ATI's geval "AMD Catalyst Control Center".

Overigens geldt dat alleen voor ATI- en nVidia-kaarten; voor Intel-kaarten is er geen gesloten driver en die werken ook perfect out-of-the-box, zelfs met 3D-games (omdat de 3D-functionaliteit voor Intel al in de kernel zit).